> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/types/device.md).

# Device

Audience: Programmer

## Services

| Service                                                                  | Key        | Implements                                                                     |
| ------------------------------------------------------------------------ | ---------- | ------------------------------------------------------------------------------ |
| [management](https://docs.pyck.cloud/graphql-api/services/management.md) | value type | [NodeDataType](https://docs.pyck.cloud/graphql-api/interfaces/nodedatatype.md) |

## Fields

| Name                    | Type                                                                                               | Arguments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Description | Served by                                                                | Deprecated |
| ----------------------- | -------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ------------------------------------------------------------------------ | ---------- |
| `id`                    | ID!                                                                                                |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `tenantID`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `dataTypeID`            | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `dataTypeSlug`          | String                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `data`                  | [Map](https://docs.pyck.cloud/graphql-api/scalars/map.md)                                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `createdAt`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `createdBy`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `updatedAt`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `updatedBy`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `deletedAt`             | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `deletedBy`             | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `name`                  | String!                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `deviceLocationsDevice` | [DeviceLocationConnection](https://docs.pyck.cloud/graphql-api/types/devicelocationconnection.md)! | <p><code>after</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>first</code>: Int<br><code>before</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>last</code>: Int<br><code>orderBy</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/devicelocationorder.md">DeviceLocationOrder</a><br><code>where</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/devicelocationwhereinput.md">DeviceLocationWhereInput</a></p> |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |
| `deviceUsersDevice`     | [DeviceUserConnection](https://docs.pyck.cloud/graphql-api/types/deviceuserconnection.md)!         | <p><code>after</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>first</code>: Int<br><code>before</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>last</code>: Int<br><code>orderBy</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/deviceuserorder.md">DeviceUserOrder</a><br><code>where</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/deviceuserwhereinput.md">DeviceUserWhereInput</a></p>                 |             | [management](https://docs.pyck.cloud/graphql-api/services/management.md) |            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/types/device.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
